/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Administrator
 */
@Entity
@Table(name = "tbl_commodity_info")
public class CommodityInfoBean implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -5102166720334127839L;

    /**
     * 商品详情表ID
     */
    @Id
    @Column(name = "commodity_id", unique = true, nullable = false, length = 10)
    private Integer commodityId;

    public CommodityInfoBean(Integer commodityId, Integer shopId, Integer userId, String commodityName, String commodityDetail, String commodityImg, String commodityVideo, Integer commodityStatus, Date createTime, Integer click, Integer backstageStatus) {
        this.commodityId = commodityId;
        this.shopId = shopId;
        this.userId = userId;
        this.commodityName = commodityName;
        this.commodityDetail = commodityDetail;
        this.commodityImg = commodityImg;
        this.commodityVideo = commodityVideo;
        this.commodityStatus = commodityStatus;
        this.createTime = createTime;
        this.click = click;
        this.backstageStatus = backstageStatus;
    }

    public CommodityInfoBean() {
    }

    /**
     * 店铺ID
     */
    @Column(name = "shop_id", nullable = false, length = 10)
    private Integer shopId;

    /**
     * 用户ID
     */
    @Column(name = "user_id", nullable = false, length = 10)
    private Integer userId;

    /**
     * 商品名称
     */
    @Column(name = "commodity_name", nullable = false, length = 20)
    private String commodityName;

    /**
     * 商品描述
     */
    @Column(name = "commodity_detail", nullable = true, length = 100)
    private String commodityDetail;

    /**
     * 商品图片
     */
    @Column(name = "commodity_img", nullable = true, length = 100)
    private String commodityImg;

    /**
     * 商品视频
     */
    @Column(name = "commodity_video", nullable = true, length = 100)
    private String commodityVideo;

    /**
     * 商品状态(用户管理)
     */
    @Column(name = "commodity_status", nullable = false, length = 10)
    private Integer commodityStatus;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 商品点击数
     */
    @Column(name = "click", nullable = true, length = 10)
    private Integer click;

    /**
     * 后台管理商品状态
     */
    @Column(name = "backstage_status", nullable = false, length = 10)
    private Integer backstageStatus;

    /**
     * 获取商品详情表ID
     *
     * @return 商品详情表ID
     */
    public Integer getCommodityId() {
        return this.commodityId;
    }

    /**
     * 设置商品详情表ID
     *
     * @param commodityId 商品详情表ID
     */
    public void setCommodityId(Integer commodityId) {
        this.commodityId = commodityId;
    }

    /**
     * 获取店铺ID
     *
     * @return 店铺ID
     */
    public Integer getShopId() {
        return this.shopId;
    }

    /**
     * 设置店铺ID
     *
     * @param shopId 店铺ID
     */
    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户ID
     *
     * @param userId 用户ID
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取商品名称
     *
     * @return 商品名称
     */
    public String getCommodityName() {
        return this.commodityName;
    }

    /**
     * 设置商品名称
     *
     * @param commodityName 商品名称
     */
    public void setCommodityName(String commodityName) {
        this.commodityName = commodityName;
    }

    /**
     * 获取商品描述
     *
     * @return 商品描述
     */
    public String getCommodityDetail() {
        return this.commodityDetail;
    }

    /**
     * 设置商品描述
     *
     * @param commodityDetail 商品描述
     */
    public void setCommodityDetail(String commodityDetail) {
        this.commodityDetail = commodityDetail;
    }

    /**
     * 获取商品图片
     *
     * @return 商品图片
     */
    public String getCommodityImg() {
        return this.commodityImg;
    }

    /**
     * 设置商品图片
     *
     * @param commodityImg 商品图片
     */
    public void setCommodityImg(String commodityImg) {
        this.commodityImg = commodityImg;
    }

    /**
     * 获取商品视频
     *
     * @return 商品视频
     */
    public String getCommodityVideo() {
        return this.commodityVideo;
    }

    /**
     * 设置商品视频
     *
     * @param commodityVideo 商品视频
     */
    public void setCommodityVideo(String commodityVideo) {
        this.commodityVideo = commodityVideo;
    }

    /**
     * 获取商品状态(用户管理)
     *
     * @return 商品状态(用户管理)
     */
    public Integer getCommodityStatus() {
        return this.commodityStatus;
    }

    /**
     * 设置商品状态(用户管理)
     *
     * @param commodityStatus 商品状态(用户管理)
     */
    public void setCommodityStatus(Integer commodityStatus) {
        this.commodityStatus = commodityStatus;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取商品点击数
     *
     * @return 商品点击数
     */
    public Integer getClick() {
        return this.click;
    }

    /**
     * 设置商品点击数
     *
     * @param click 商品点击数
     */
    public void setClick(Integer click) {
        this.click = click;
    }

    /**
     * 获取后台管理商品状态
     *
     * @return 后台管理商品状态
     */
    public Integer getBackstageStatus() {
        return this.backstageStatus;
    }

    /**
     * 设置后台管理商品状态
     *
     * @param backstageStatus 后台管理商品状态
     */
    public void setBackstageStatus(Integer backstageStatus) {
        this.backstageStatus = backstageStatus;
    }
}
